Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleJarManifest

    java.lang.Object
      com.ibm.able.editor.AbleJarManifest

public class AbleJarManifest
extends java.lang.Object

Constructor Summary
`AbleJarManifest()`
`AbleJarManifest(byte[] bytes)`
`AbleJarManifest(java.io.InputStream is)` Parse a manifest from a stream
`AbleJarManifest(java.lang.String[] files)`

Method Summary
`void` | `addEntry(AbleJarMessageHeader entry)`
`void` | `addFile(java.io.File f)`
`void` | `addFiles(java.io.File dir, java.lang.String[] files)`
`java.util.Enumeration` | `entries()`
`AbleJarMessageHeader` | `entryAt(int i)`
`AbleJarMessageHeader` | `getEntry(java.lang.String name)`
`static boolean` | `isManifestName(java.lang.String name)`
`void` | `stream(java.io.OutputStream os, java.util.Vector extraFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleJarManifest

    public AbleJarManifest()

### AbleJarManifest

    public AbleJarManifest(byte[] bytes)
                    throws java.io.IOException

### AbleJarManifest

    public AbleJarManifest(java.io.InputStream is)
                    throws java.io.IOException

  Parse a manifest from a stream

### AbleJarManifest

    public AbleJarManifest(java.lang.String[] files)
                    throws java.io.IOException

Method Detail

### addEntry

    public void addEntry(AbleJarMessageHeader entry)

### getEntry

    public AbleJarMessageHeader getEntry(java.lang.String name)

### entryAt

    public AbleJarMessageHeader entryAt(int i)

### entries

    public java.util.Enumeration entries()

### addFiles

    public void addFiles(java.io.File dir,
                         java.lang.String[] files)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFile

    public void addFile(java.io.File f)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### stream

    public void stream(java.io.OutputStream os,
                       java.util.Vector extraFiles)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### isManifestName

    public static boolean isManifestName(java.lang.String name)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005